PHP ne fonctionne pas après la mise à jour d’un serveur

Après la mise à jour d’un serveur sur lequel tournait un site avec apache2 et php5 le site affiche le code et pas le résultat du php.

La raison est certainement le passage à PHP7.

a2enmod php7.0 ne résoud pas le soucis.

sous ubuntu (16.04 ) le php7 devient le standard.

afin de réactiver ce service, vous devez installer quelques paquets qui étonnamment ne sont pas dépendant de php7 dans apt ou synaptic.

voici les commandes à taper.

apt-get install libapache2-mod-php
a2enmod php7.0
service apache2 restart